
From: "Richard Purdie" <rpurdie@rpsys.net>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/proc/task_mmu.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/proc/task_mmu.c~proc-pid-smaps-fix fs/proc/task_mmu.c
--- 25/fs/proc/task_mmu.c~proc-pid-smaps-fix	2005-04-30 12:47:25.610003024 -0700
+++ 25-akpm/fs/proc/task_mmu.c	2005-04-30 12:47:37.898134944 -0700
@@ -2,8 +2,10 @@
 #include <linux/hugetlb.h>
 #include <linux/mount.h>
 #include <linux/seq_file.h>
+
 #include <asm/elf.h>
 #include <asm/uaccess.h>
+#include <asm/tlbflush.h>
 #include "internal.h"
 
 char *task_mem(struct mm_struct *mm, char *buffer)
_
